#include <iostream>
using namespace std;

int main()
{
    int L,sum=0,jumps=0,m,n;
    cin >> L >> m >> n;
    do
    {
        sum+=m;
        jumps++;
        m=m+n;
    }
    while(sum <= L);
    cout << jumps;
    return 0;
}
